Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark
Class SolverBenchmark

    java.lang.Object
      org.drools.planner.benchmark.SolverBenchmark

    public class SolverBenchmark

extends Object

Constructor Summary
`SolverBenchmark()`

Method Summary
`Score` | `getAverageScore()`
`String` | `getName()`
`Integer` | `getRanking()`
`List<Score>` | `getScoreList()`
`List<SolverBenchmarkResult>` | `getSolverBenchmarkResultList()`
`SolverConfig` | `getSolverConfig()`
`Score` | `getTotalScore()`
`List<File>` | `getUnsolvedSolutionFileList()`
`void` | `inherit(SolverBenchmark inheritedSolverBenchmark)`
`void` | `resetSolverBenchmarkResultList()`
`void` | `setName(String name)`
`void` | `setRanking(Integer ranking)`
`void` | `setSolverBenchmarkResultList(List<SolverBenchmarkResult> solverBenchmarkResultList)`
`void` | `setSolverConfig(SolverConfig solverConfig)`
`void` | `setUnsolvedSolutionFileList(List<File> unsolvedSolutionFileList)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolverBenchmark

    public SolverBenchmark()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getSolverConfig

    public SolverConfig getSolverConfig()

### setSolverConfig

    public void setSolverConfig(SolverConfig solverConfig)

### getUnsolvedSolutionFileList

    public List<File> getUnsolvedSolutionFileList()

### setUnsolvedSolutionFileList

    public void setUnsolvedSolutionFileList(List<File> unsolvedSolutionFileList)

### getSolverBenchmarkResultList

    public List<SolverBenchmarkResult> getSolverBenchmarkResultList()

### setSolverBenchmarkResultList

    public void setSolverBenchmarkResultList(List<SolverBenchmarkResult> solverBenchmarkResultList)

### getRanking

    public Integer getRanking()

### setRanking

    public void setRanking(Integer ranking)

### inherit

    public void inherit(SolverBenchmark inheritedSolverBenchmark)

### resetSolverBenchmarkResultList

    public void resetSolverBenchmarkResultList()

### getScoreList

    public List<Score> getScoreList()

### getTotalScore

    public Score getTotalScore()

  Returns:
    the total score

### getAverageScore

    public Score getAverageScore()

  Returns:
    the average score

### validate

    public void validate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.